/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

form {
 
  border-radius: $global-border-radius;
  padding: ($padding-base-y * 4) ($padding-base-x * 2);
  
  .copyright {
    display: block;
    margin-bottom: -20px;
    margin-top: 20px;
  }
}
  
.form-group {
  margin-bottom: $margin-base-y;
}

.form-control {
  display: block;
  width: 100%;
}

.form-text {
  display: block;
  margin-top: $margin-sm-y;
}

.form-check {
  margin: $margin-base-y 0;
}

.form-check-input {
  display: inline-block;
  margin: $margin-sm-y;
  position: relative;
  vertical-align: middle;
}

.form-check-label {
  margin-bottom: 0;
  vertical-align: middle;
}

.form-control-file,
.form-control-range {
  display: block;
  width: 100%;
}

.form-control:disabled,
.form-control[readonly] {
  background: darken($white, 10%);
}

.form-check-input:disabled ~ .form-check-label {
  color: darken($white, 40%);
}

.form-control-plaintext {
  background: transparent !important;
  border-color: transparent !important;
  box-shadow: none !important;
  
  &:focus {
    border-color: transparent;
    box-shadow: none !important;
    color: unset !important;
  }
}

.form-check-inline {
  align-items: center;
  display: inline-flex;
  margin-right: $margin-sm-x;
  padding-left: 0;
}

.form-inline {
  
  align-items: center;
  display: flex;
  flex-flow: row wrap;
  
  .form-group {
    align-items: center;
    display: flex;
    flex: 0 0 auto;
    flex-flow: row wrap;
    margin-bottom: 0;
  }
}

//
//Custom form
//

.custom-file-input {
  margin: 0;
  opacity: 0;
  position: relative;
  width: 100%;
  z-index: 2;
}

.form-account {
  margin: 0 auto;
  max-width: 330px;
  width: 100%;
}

.form-p-bkg {
  background-size: cover;
  height: 100%;
  position: absolute;
  width: 100%;
  z-index: -1;
}

.column-form-label {
  font-size: inherit;
  margin-bottom: 0;
  padding: $padding-base-y $padding-base-x;
}
